<div style="display:grid; grid-auto-flow:column; width: 60vw; height: fit-content; margin: auto;">
    <input *ngIf="isAuthenticated()" type="text" placeholder="Search for a user" class="mt-3" style="width: 15vw; height: 30px; border: none" [formControl]="search">
    <div style="display:grid; grid-auto-flow: row; " >
        <select [formControl]="option" class="m-3" style="border:none">
            <option selected value="0">Highest total score</option>
            <option value="1">Most unique spotted</option>
            <option value="2">Most shiny spotted</option>
            <option value="3">Most spotted total</option>
        </select>
    </div>
</div>
<table class="table" style="width: 60vw; height: fit-content; margin: auto;">
    <thead>
      <tr style="text-align: center;">
        <th scope="col">#</th>
        <th scope="col">Username</th>
        <th scope="col"></th>
        <th scope="col"></th>
        <th scope="col">Shines</th>
        <th scope="col">Uniques</th>
        <th scope="col">Total</th>
        <th scope="col">Score</th>
      </tr>
    </thead>
    <tbody>
        <tr style="text-align: center;" *ngFor="let user of rankingData; let i = index">
            <th scope="row">{{i+1}}</th>
            <td>{{user.username}}</td>
            <td></td>
            <td></td>
            <td [className]="user.shiny > 0 ? 'active' : 'inactive'" >{{user.shiny}}</td>
            <td [className]="user.uniques > 0 ? 'active' : 'inactive'" >{{user.uniques}}/151</td>
            <td>{{user.spottedTotal}}</td>
            <td>{{user.score}}</td>
        </tr>
    </tbody>
  </table>